---

nft_filter_input_rules_extra:
  - comment: Allow SSH from admin interfaces
    proto: tcp
    dport: 22

nft_filter_forward_rules:
  - comment: Drop invalid connections
    raw: ct state invalid drop

  - comment: Allow admin to access management subnet
    saddr: $subnet_extranet_clients_admin
    daddr: {$subnet_extranet_epita_admin,$subnet_extranet_epita_mgmt}

  - comment: Allow admin access to PIE
    saddr: {$subnet_extranet_clients_admin}
    daddr: {$subnet_epita_pie,$subnet_epita_dmz}

  - comment: Allow external connectivity for admin/prod network network
    saddr: {$subnet_extranet_epita_admin,$subnet_extranet_epita_prod}
    oif: eno1.201

  - comment: Allow extranet-services from admin
    saddr: {$subnet_extranet_epita_admin}
    daddr: {$ip_extranet_services}

  - comment: Allow NTP in management network
    saddr: $subnet_extranet_epita_mgmt
    daddr: {163.5.42.40,163.5.42.41}
    proto: udp
    dport: 123


nft_nat_rules:
  dnat:
    - saddr: {$subnet_epita_pie,$subnet_epita_pie_services}
      proto: tcp
      dport: {88, 464, 636, 4505, 4506}
      dnat: $ip_extranet_services
      comment: dnat firewall to LDAPS/KDC/Salt
    - saddr: {$subnet_epita_pie,$subnet_epita_pie_services}
      proto: udp
      dport: 53
      dnat: $ip_extranet_services
      comment: dnat firewall to DNS udp
    - saddr: {$subnet_epita_pie,$subnet_epita_pie_services}
      proto: tcp
      dport: 53
      dnat: $ip_extranet_services
      comment: dnat firewall to DNS tcp
    - saddr: {$subnet_epita_pie,$subnet_epita_pie_services}
      proto: tcp
      dport: {80,443}
      dnat: $ip_semifinals

  snat:
    - saddr: $subnet_extranet
      daddr: " != $ip_fw_epita_pie"
      oif: eno1.201
      snat: $ip_fw_epita_pie
